[arch-commits] Commit in nextcloud-app-news/repos/community-any (PKGBUILD PKGBUILD)
David Runge
dvzrv at gemini.archlinux.org
Mon Nov 15 17:45:29 UTC 2021
Date: Monday, November 15, 2021 @ 17:45:28
Author: dvzrv
Revision: 1048357
archrelease: copy trunk to community-any
Added:
nextcloud-app-news/repos/community-any/PKGBUILD
(from rev 1048356, nextcloud-app-news/trunk/PKGBUILD)
Deleted:
nextcloud-app-news/repos/community-any/PKGBUILD
----------+
PKGBUILD | 84 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 42 insertions(+), 42 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2021-11-15 17:45:21 UTC (rev 1048356)
+++ PKGBUILD 2021-11-15 17:45:28 UTC (rev 1048357)
@@ -1,42 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: Jonas Heinrich <onny at project-insanity.org>
-
-pkgname=nextcloud-app-news
-_name=news
-pkgver=16.2.0
-pkgrel=1
-pkgdesc="An RSS/Atom feed aggregator"
-arch=('any')
-url="https://github.com/nextcloud/news"
-license=('AGPL3')
-makedepends=('nextcloud' 'ripgrep' 'yq')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/nextcloud/${_name}/releases/download/${pkgver}/${_name}.tar.gz")
-sha512sums=('29937904808dbbfdf55d68929edbe16220bcff45b098680bf59894ef55adb890ee5856252c03ac4a25bfe6ece426b2e2fb1f8ea45e404e4c2b3bff8b51c6bab8')
-b2sums=('bc44326aff251b293829ded95ed4f4f7dce3e4d2c3744a64d55366acdcc1cfdc159aa42d0801d3fd60769ad093447b0af61413fa72d1562ade42a2c0a8c5e90d')
-
-_get_nextcloud_versions() {
- _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
- _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
- _app_max_major_version=$(expr ${_app_max_major_version} + 1)
-}
-
-check() {
- local _app_min_major_version
- local _app_max_major_version
- _get_nextcloud_versions
-
- local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
- if [[ "$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")" -lt 0 ]] || [[ "$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")" -gt 0 ]] ; then
- printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
- exit 1
- fi
-}
-
-package() {
- _get_nextcloud_versions
-
- depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
-
- install -vdm 755 "${pkgdir}/usr/share/webapps/nextcloud/apps"
- cp -av "${_name}" "${pkgdir}/usr/share/webapps/nextcloud/apps/"
-}
Copied: nextcloud-app-news/repos/community-any/PKGBUILD (from rev 1048356, nextcloud-app-news/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2021-11-15 17:45:28 UTC (rev 1048357)
@@ -0,0 +1,42 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Jonas Heinrich <onny at project-insanity.org>
+
+pkgname=nextcloud-app-news
+_name=news
+pkgver=16.2.1
+pkgrel=1
+pkgdesc="An RSS/Atom feed aggregator"
+arch=('any')
+url="https://github.com/nextcloud/news"
+license=('AGPL3')
+makedepends=('nextcloud' 'ripgrep' 'yq')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/nextcloud/${_name}/releases/download/${pkgver}/${_name}.tar.gz")
+sha512sums=('a3e7df5bb1a1ee4172bead0c69960b4fb87705b0ab2181f5486c281c48e746a2942d4fa1b53b5b422f149d551d9506b22814e4cb96d990ac34f16e0fe04a1122')
+b2sums=('e8f9c63c954d8de5396780d5d0e5aa404a4cc6aa3882275afe85f0217368987d877a5c1f54bc511b97c006d360fb483e548cd726b8299811719708dd52ee20c7')
+
+_get_nextcloud_versions() {
+ _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+ _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+ _app_max_major_version=$(expr ${_app_max_major_version} + 1)
+}
+
+check() {
+ local _app_min_major_version
+ local _app_max_major_version
+ _get_nextcloud_versions
+
+ local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
+ if [[ "$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")" -lt 0 ]] || [[ "$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")" -gt 0 ]] ; then
+ printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
+ exit 1
+ fi
+}
+
+package() {
+ _get_nextcloud_versions
+
+ depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
+
+ install -vdm 755 "${pkgdir}/usr/share/webapps/nextcloud/apps"
+ cp -av "${_name}" "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+}
More information about the arch-commits
mailing list